package q02b.exe.arquitectura.valueobjects;



	/** Clase utilizada para comparar java.lang.reflect.Method.

 */

public final class Q02bValueObjectUtils implements java.util.Comparator {

    /** Compara dos java.lang.reflect.Method

     * @param o1 objeto 1 a comparar

     * @param o2 objeto 2 a comparar

     * @return the value 0 if the argument is a string lexicographically

     * equal to this string; a value less than 0 if the argument

     * is a string lexicographically greater than this string;

     * and a value greater than 0 if the argument is a string

     * lexicographically less than this string.

     */

    public int compare( Object o1, Object o2 ) {

        return ((java.lang.reflect.Method)o1).getName().compareTo( ((java.lang.reflect.Method)o2).getName() ) ;

    }

    

    /** Devuelve un String con los espacios indicados.

     * @param x numero de blancos deseado

     * @return cadena con esos espacios en blanco

     */

    public static final String buildString( int x ) {

        if ( x <=0 ){

            return "";
        }
        

        byte [] bytes = new byte[x];

        java.util.Arrays.fill( bytes, (byte)' ');

        return new String( bytes );

        

    }

    

    /** @link dependency */

    /*#MethodComparator lnkMethodComparator;*/

}